<?php

namespace App\Enums;

enum AxisTypes: int
{
    case AZADRAH= 1;
    case BOZORGRAH = 2;
    case ASLI = 3;

    case FARYI = 4;
    case ROSTAYI = 5;

    public static function name(int $state): string
    {
        $mapArray = [
            1 => 'آزادراه',
            2 => 'بزرگراه',
            3 => 'اصلی',
            4 => 'فرعی',
            5 => 'روستایی',
        ];

        return $mapArray[$state];
    }
}